#pragma once

#include "entity_canvas.hpp"

#include "../../entity.hpp"
#include "../../render/canvas.hpp"
#include "../../resources.hpp"

#include <imgui.h>

namespace game::util::imgui::widget
{
  class EntityButton
  {
  public:
    EntityCanvas canvas{};

    void clear();
    Canvas& canvas_get(Resources&, Entity&, ImVec2);
    bool button(Resources&, Entity&, const char*, ImVec2, ImVec4 = ImVec4(1, 1, 1, 1));
  };
}
